Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 5.10.3.Final
    • Fix Version/s: 5.10.5.Final
    • Component/s: JTS, LRA, XTS
    • Labels:
      None
    • Steps to Reproduce:
      Hide
      git clone https://github.com/jbosstm/narayana -b 5.10.3.Final
      cd narayana
      java -version
      java version "9.0.4"
      Java(TM) SE Runtime Environment (build 9.0.4+11)
      Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
      mvn clean install
      
      Show
      git clone https: //github.com/jbosstm/narayana -b 5.10.3.Final cd narayana java -version java version "9.0.4" Java(TM) SE Runtime Environment (build 9.0.4+11) Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode) mvn clean install
    • Workaround:
      Workaround Exists
    • Workaround Description:
      Hide

      Switch to JDK11

      Show
      Switch to JDK11

      Description

      Narayana cannot be built on JDK9.

      The failure happens at module: ArjunaJTS/orbportability
      and the error is

      Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.6.0:compile (jacorb-compile) on project orbportability: Fatal error compiling: option --add-modules not allowed with target 1.8

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  ochaloup Ondrej Chaloupka
                  Reporter:
                  ochaloup Ondrej Chaloupka
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: